/ api / name / gb_subst_callback
GB_SUBST_CALLBACK
Syntax

    typedef void (*GB_SUBST_CALLBACK) ( int index , char **str , long *len );

This is the the type definition of the callback used by the GB.SubstString function.

The callback will receive the following parameters :

- index is the index of the value to substitute.
- str must receive the string to substitute.
- len must receive the length of this string.

If you need, you can use the GB.SubstAdd function instead of using str and len for returning the string to substitute.

### See also

String Management